﻿' MySQL Database的接駁示範
'
' 這個程式使用Connector/Net，可於MySQL網站下載
'
' 資料庫置於 http://www.db4.free.net 該網站提供免費的MySQL資料庫服務
'
' 伺服器名稱：db4free.net
' 連接埠：3306
' 資料庫名稱：jimmydbforvb
' 表格名稱：Click25
' 欄位：Name(Varchar)、RecordDate(Date)、GameTime(Float)
'
' 使用須知
' 1. 必須能接上互聯網，且MySQL使用的連接埠必須開放 (Port: 3306)
' 2. 必須使用Connector/Net (下載：http://dev.mysql.com/downloads/connector/)
' 3. 若程式連接成功，資料會自動載入TextBox及DataGridView內；否則會彈出錯誤訊息。

Imports MySql.Data.MySqlClient  '載入Connector/Net提供的參考指令庫

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Dim conn As New MySqlConnection     '定義MySQL DB的連結名稱
        Dim mydata As New DataTable         '定義暫存MySQL DB查詢結果的資料表
        Dim mycommand As New MySqlCommand   '定義傳送至MySQL DB的指令
        Dim myadapter As New MySqlDataAdapter   '定義MySQL DB及資料間的連接

        Dim SQL As String = "SELECT * from Click25" '製作SQL查詢MySQL DB

        '定義MySQL DB連結用的連接語句
        conn.ConnectionString = "server=db4free.net; user id=jimmyeslc; password=abcdefgh; database=jimmydbforvb"
        mycommand.CommandText = SQL '把查詢指令載入mycommand內

        Try
            conn.Open()     '開啟MySQL DB的連接
            mycommand.Connection = conn '把mycommand接上conn
            myadapter.SelectCommand = mycommand '把mycommand載入myadapter上，開始查詢
            myadapter.Fill(mydata)  '把查詢結果載進mydata內

            '顯示資料的兩個方法：
            ' 1. 使用DataGridView()；
            ' 2. 把指定的某行結果逐欄合併為字串顯示於TextBox內

            DataGridView1.DataSource = mydata   '使用DataGridView1顯示mydata記錄的查詢結果

            '利用TextBox顯示mydatat查詢的第一行結果
            TextBox1.AppendText(mydata.Rows.Item(0).Item(0) & " " & mydata.Rows.Item(0).Item(1) & mydata.Rows.Item(0).Item(2))

            conn.Close() '關閉MySQL DB的連接
        Catch ex As Exception
            MsgBox("Error! " & ex.Message)
        Finally
            conn.Dispose()
        End Try

    End Sub

End Class
